import request from '@/utils/request'

// 查询用户异常记录列表
export function listUserErrorLog(query) {
  return request({
    url: '/cai/userErrorLog/list',
    method: 'get',
    params: query
  })
}

// 查询用户异常记录详细
export function getUserErrorLog(id) {
  return request({
    url: '/cai/userErrorLog/' + id,
    method: 'get'
  })
}

// 新增用户异常记录
export function addUserErrorLog(data) {
  return request({
    url: '/cai/userErrorLog',
    method: 'post',
    data: data
  })
}

// 修改用户异常记录
export function updateUserErrorLog(data) {
  return request({
    url: '/cai/userErrorLog',
    method: 'put',
    data: data
  })
}

// 删除用户异常记录
export function delUserErrorLog(id) {
  return request({
    url: '/cai/userErrorLog/' + id,
    method: 'delete'
  })
}
